Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator.genctl.impl
Class GenctlPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  com.ssaglobal.generator.genctl.impl.GenctlPackageImpl

All Implemented Interfaces:
  GenctlPackage, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder

    public class GenctlPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements GenctlPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface com.ssaglobal.generator.genctl.GenctlPackage
`APPLIES_TO, APPLIES_TO__APPLIES_TO_SUBCLASSES, APPLIES_TO__CLASS_NAME, APPLIES_TO_FEATURE_COUNT, CLASS_NAME_DT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, FILE_TYPE_DT, GENERATOR_CONTROL_AREA, GENERATOR_CONTROL_AREA__HELPER, GENERATOR_CONTROL_AREA__OUTPUT_ROOT, GENERATOR_CONTROL_AREA__PROPERTY, GENERATOR_CONTROL_AREA__RESOURCE_FACTORY, GENERATOR_CONTROL_AREA__TEMPLATE, GENERATOR_CONTROL_AREA__TEMPLATE_ROOT, GENERATOR_CONTROL_AREA_FEATURE_COUNT, GENERATOR_PREFERENCES, GENERATOR_PREFERENCES__TEMPLATE_PACKAGE_PREFERENCES, GENERATOR_PREFERENCES_FEATURE_COUNT, GENERATOR_PROPERTY, GENERATOR_PROPERTY__NAME, GENERATOR_PROPERTY__VALUE, GENERATOR_PROPERTY_FEATURE_COUNT, MODEL_RESOURCE_FACTORY, MODEL_RESOURCE_FACTORY__CLASS_NAME, MODEL_RESOURCE_FACTORY__FILE_TYPE, MODEL_RESOURCE_FACTORY_FEATURE_COUNT, NAME_DT, PATH_DT, TEMPLATE, TEMPLATE__APPLIES_TO, TEMPLATE__CONDITION, TEMPLATE__ENGINE, TEMPLATE__MERGE_CLASS_NAME, TEMPLATE__NAME_TEMPLATE_PATH, TEMPLATE__TEMPLATE_PATH, TEMPLATE__WRITER, TEMPLATE_CONDITION, TEMPLATE_CONDITION__HELPER_NAME, TEMPLATE_CONDITION__PROPERTY_NAME, TEMPLATE_CONDITION__PROPERTY_VALUE, TEMPLATE_CONDITION_FEATURE_COUNT, TEMPLATE_ENGINE_TYPE, TEMPLATE_ENGINE_TYPE_OBJECT, TEMPLATE_FEATURE_COUNT, TEMPLATE_HELPER, TEMPLATE_HELPER__APPLIES_TO, TEMPLATE_HELPER__HELPER_CLASS_NAME, TEMPLATE_HELPER__NAME, TEMPLATE_HELPER_FEATURE_COUNT, TEMPLATE_PACKAGE_PREFERENCES, TEMPLATE_PACKAGE_PREFERENCES__NAME, TEMPLATE_PACKAGE_PREFERENCES__PACKAGE_ID, TEMPLATE_PACKAGE_PREFERENCES__PROPERTY, TEMPLATE_PACKAGE_PREFERENCES_FEATURE_COUNT, TEMPLATE_WRITER_TYPE, TEMPLATE_WRITER_TYPE_OBJECT, VALUE_DT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`protected void` | `createExtendedMetaDataAnnotations()` Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EAttribute` | `getAppliesTo_AppliesToSubclasses()`
`org.eclipse.emf.ecore.EAttribute` | `getAppliesTo_ClassName()`
`org.eclipse.emf.ecore.EClass` | `getAppliesTo()`
`org.eclipse.emf.ecore.EDataType` | `getClassNameDT()`
`org.eclipse.emf.ecore.EDataType` | `getFileTypeDT()`
`GenctlFactory` | `getGenctlFactory()`
`org.eclipse.emf.ecore.EReference` | `getGeneratorControlArea_Helper()`
`org.eclipse.emf.ecore.EAttribute` | `getGeneratorControlArea_OutputRoot()`
`org.eclipse.emf.ecore.EReference` | `getGeneratorControlArea_Property()`
`org.eclipse.emf.ecore.EReference` | `getGeneratorControlArea_ResourceFactory()`
`org.eclipse.emf.ecore.EReference` | `getGeneratorControlArea_Template()`
`org.eclipse.emf.ecore.EAttribute` | `getGeneratorControlArea_TemplateRoot()`
`org.eclipse.emf.ecore.EClass` | `getGeneratorControlArea()`
`org.eclipse.emf.ecore.EReference` | `getGeneratorPreferences_TemplatePackagePreferences()`
`org.eclipse.emf.ecore.EClass` | `getGeneratorPreferences()`
`org.eclipse.emf.ecore.EAttribute` | `getGeneratorProperty_Name()`
`org.eclipse.emf.ecore.EAttribute` | `getGeneratorProperty_Value()`
`org.eclipse.emf.ecore.EClass` | `getGeneratorProperty()`
`org.eclipse.emf.ecore.EAttribute` | `getModelResourceFactory_ClassName()`
`org.eclipse.emf.ecore.EAttribute` | `getModelResourceFactory_FileType()`
`org.eclipse.emf.ecore.EClass` | `getModelResourceFactory()`
`org.eclipse.emf.ecore.EDataType` | `getNameDT()`
`org.eclipse.emf.ecore.EDataType` | `getPathDT()`
`org.eclipse.emf.ecore.EReference` | `getTemplate_AppliesTo()`
`org.eclipse.emf.ecore.EReference` | `getTemplate_Condition()`
`org.eclipse.emf.ecore.EAttribute` | `getTemplate_Engine()`
`org.eclipse.emf.ecore.EAttribute` | `getTemplate_MergeClassName()`
`org.eclipse.emf.ecore.EAttribute` | `getTemplate_NameTemplatePath()`
`org.eclipse.emf.ecore.EAttribute` | `getTemplate_TemplatePath()`
`org.eclipse.emf.ecore.EAttribute` | `getTemplate_Writer()`
`org.eclipse.emf.ecore.EClass` | `getTemplate()`
`org.eclipse.emf.ecore.EAttribute` | `getTemplateCondition_HelperName()`
`org.eclipse.emf.ecore.EAttribute` | `getTemplateCondition_PropertyName()`
`org.eclipse.emf.ecore.EAttribute` | `getTemplateCondition_PropertyValue()`
`org.eclipse.emf.ecore.EClass` | `getTemplateCondition()`
`org.eclipse.emf.ecore.EEnum` | `getTemplateEngineType()`
`org.eclipse.emf.ecore.EDataType` | `getTemplateEngineTypeObject()`
`org.eclipse.emf.ecore.EReference` | `getTemplateHelper_AppliesTo()`
`org.eclipse.emf.ecore.EAttribute` | `getTemplateHelper_HelperClassName()`
`org.eclipse.emf.ecore.EAttribute` | `getTemplateHelper_Name()`
`org.eclipse.emf.ecore.EClass` | `getTemplateHelper()`
`org.eclipse.emf.ecore.EAttribute` | `getTemplatePackagePreferences_Name()`
`org.eclipse.emf.ecore.EAttribute` | `getTemplatePackagePreferences_PackageId()`
`org.eclipse.emf.ecore.EReference` | `getTemplatePackagePreferences_Property()`
`org.eclipse.emf.ecore.EClass` | `getTemplatePackagePreferences()`
`org.eclipse.emf.ecore.EEnum` | `getTemplateWriterType()`
`org.eclipse.emf.ecore.EDataType` | `getTemplateWriterTypeObject()`
`org.eclipse.emf.ecore.EDataType` | `getValueDT()`
`static GenctlPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static GenctlPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `GenctlPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getAppliesTo

    public org.eclipse.emf.ecore.EClass getAppliesTo()

  Specified by:
    `getAppliesTo` in interface `GenctlPackage`
  Returns:
    the meta object for class 'Applies To'.
  See Also:
    `AppliesTo`

### getAppliesTo_ClassName

    public org.eclipse.emf.ecore.EAttribute getAppliesTo_ClassName()

  Specified by:
    `getAppliesTo_ClassName` in interface `GenctlPackage`
  Returns:
    the meta object for the attribute 'Class Name'.
  See Also:
    `AppliesTo.getClassName()`, `GenctlPackage.getAppliesTo()`

### getAppliesTo_AppliesToSubclasses

    public org.eclipse.emf.ecore.EAttribute getAppliesTo_AppliesToSubclasses()

  Specified by:
    `getAppliesTo_AppliesToSubclasses` in interface `GenctlPackage`
  Returns:
    the meta object for the attribute 'Applies To Subclasses'.
  See Also:
    `AppliesTo.isAppliesToSubclasses()`, `GenctlPackage.getAppliesTo()`

### getGeneratorControlArea

    public org.eclipse.emf.ecore.EClass getGeneratorControlArea()

  Specified by:
    `getGeneratorControlArea` in interface `GenctlPackage`
  Returns:
    the meta object for class 'Generator Control Area'.
  See Also:
    `GeneratorControlArea`

### getGeneratorControlArea_TemplateRoot

    public org.eclipse.emf.ecore.EAttribute getGeneratorControlArea_TemplateRoot()

  Specified by:
    `getGeneratorControlArea_TemplateRoot` in interface `GenctlPackage`
  Returns:
    the meta object for the attribute 'Template Root'.
  See Also:
    `GeneratorControlArea.getTemplateRoot()`, `GenctlPackage.getGeneratorControlArea()`

### getGeneratorControlArea_OutputRoot

    public org.eclipse.emf.ecore.EAttribute getGeneratorControlArea_OutputRoot()

  Specified by:
    `getGeneratorControlArea_OutputRoot` in interface `GenctlPackage`
  Returns:
    the meta object for the attribute 'Output Root'.
  See Also:
    `GeneratorControlArea.getOutputRoot()`, `GenctlPackage.getGeneratorControlArea()`

### getGeneratorControlArea_Property

    public org.eclipse.emf.ecore.EReference getGeneratorControlArea_Property()

  Specified by:
    `getGeneratorControlArea_Property` in interface `GenctlPackage`
  Returns:
    the meta object for the containment reference list 'Property'.
  See Also:
    `GeneratorControlArea.getProperty()`, `GenctlPackage.getGeneratorControlArea()`

### getGeneratorControlArea_Template

    public org.eclipse.emf.ecore.EReference getGeneratorControlArea_Template()

  Specified by:
    `getGeneratorControlArea_Template` in interface `GenctlPackage`
  Returns:
    the meta object for the containment reference list 'Template'.
  See Also:
    `GeneratorControlArea.getTemplate()`, `GenctlPackage.getGeneratorControlArea()`

### getGeneratorControlArea_Helper

    public org.eclipse.emf.ecore.EReference getGeneratorControlArea_Helper()

  Specified by:
    `getGeneratorControlArea_Helper` in interface `GenctlPackage`
  Returns:
    the meta object for the containment reference list 'Helper'.
  See Also:
    `GeneratorControlArea.getHelper()`, `GenctlPackage.getGeneratorControlArea()`

### getGeneratorControlArea_ResourceFactory

    public org.eclipse.emf.ecore.EReference getGeneratorControlArea_ResourceFactory()

  Specified by:
    `getGeneratorControlArea_ResourceFactory` in interface `GenctlPackage`
  Returns:
    the meta object for the containment reference list 'Resource Factory'.
  See Also:
    `GeneratorControlArea.getResourceFactory()`, `GenctlPackage.getGeneratorControlArea()`

### getGeneratorPreferences

    public org.eclipse.emf.ecore.EClass getGeneratorPreferences()

  Specified by:
    `getGeneratorPreferences` in interface `GenctlPackage`
  Returns:
    the meta object for class 'Generator Preferences'.
  See Also:
    `GeneratorPreferences`

### getGeneratorPreferences_TemplatePackagePreferences

    public org.eclipse.emf.ecore.EReference getGeneratorPreferences_TemplatePackagePreferences()

  Specified by:
    `getGeneratorPreferences_TemplatePackagePreferences` in interface `GenctlPackage`
  Returns:
    the meta object for the containment reference list 'Template Package Preferences'.
  See Also:
    `GeneratorPreferences.getTemplatePackagePreferences()`, `GenctlPackage.getGeneratorPreferences()`

### getGeneratorProperty

    public org.eclipse.emf.ecore.EClass getGeneratorProperty()

  Specified by:
    `getGeneratorProperty` in interface `GenctlPackage`
  Returns:
    the meta object for class 'Generator Property'.
  See Also:
    `GeneratorProperty`

### getGeneratorProperty_Name

    public org.eclipse.emf.ecore.EAttribute getGeneratorProperty_Name()

  Specified by:
    `getGeneratorProperty_Name` in interface `GenctlPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `GeneratorProperty.getName()`, `GenctlPackage.getGeneratorProperty()`

### getGeneratorProperty_Value

    public org.eclipse.emf.ecore.EAttribute getGeneratorProperty_Value()

  Specified by:
    `getGeneratorProperty_Value` in interface `GenctlPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `GeneratorProperty.getValue()`, `GenctlPackage.getGeneratorProperty()`

### getModelResourceFactory

    public org.eclipse.emf.ecore.EClass getModelResourceFactory()

  Specified by:
    `getModelResourceFactory` in interface `GenctlPackage`
  Returns:
    the meta object for class 'Model Resource Factory'.
  See Also:
    `ModelResourceFactory`

### getModelResourceFactory_ClassName

    public org.eclipse.emf.ecore.EAttribute getModelResourceFactory_ClassName()

  Specified by:
    `getModelResourceFactory_ClassName` in interface `GenctlPackage`
  Returns:
    the meta object for the attribute 'Class Name'.
  See Also:
    `ModelResourceFactory.getClassName()`, `GenctlPackage.getModelResourceFactory()`

### getModelResourceFactory_FileType

    public org.eclipse.emf.ecore.EAttribute getModelResourceFactory_FileType()

  Specified by:
    `getModelResourceFactory_FileType` in interface `GenctlPackage`
  Returns:
    the meta object for the attribute 'File Type'.
  See Also:
    `ModelResourceFactory.getFileType()`, `GenctlPackage.getModelResourceFactory()`

### getTemplate

    public org.eclipse.emf.ecore.EClass getTemplate()

  Specified by:
    `getTemplate` in interface `GenctlPackage`
  Returns:
    the meta object for class 'Template'.
  See Also:
    `Template`

### getTemplate_AppliesTo

    public org.eclipse.emf.ecore.EReference getTemplate_AppliesTo()

  Specified by:
    `getTemplate_AppliesTo` in interface `GenctlPackage`
  Returns:
    the meta object for the containment reference list 'Applies To'.
  See Also:
    `Template.getAppliesTo()`, `GenctlPackage.getTemplate()`

### getTemplateCondition

    public org.eclipse.emf.ecore.EClass getTemplateCondition()

  Specified by:
    `getTemplateCondition` in interface `GenctlPackage`
  Returns:
    the meta object for class 'Template Condition'.
  See Also:
    `TemplateCondition`

### getTemplateCondition_PropertyName

    public org.eclipse.emf.ecore.EAttribute getTemplateCondition_PropertyName()

  Specified by:
    `getTemplateCondition_PropertyName` in interface `GenctlPackage`
  Returns:
    the meta object for the attribute 'Property Name'.
  See Also:
    `TemplateCondition.getPropertyName()`, `GenctlPackage.getTemplateCondition()`

### getTemplateCondition_PropertyValue

    public org.eclipse.emf.ecore.EAttribute getTemplateCondition_PropertyValue()

  Specified by:
    `getTemplateCondition_PropertyValue` in interface `GenctlPackage`
  Returns:
    the meta object for the attribute 'Property Value'.
  See Also:
    `TemplateCondition.getPropertyValue()`, `GenctlPackage.getTemplateCondition()`

### getTemplateCondition_HelperName

    public org.eclipse.emf.ecore.EAttribute getTemplateCondition_HelperName()

  Specified by:
    `getTemplateCondition_HelperName` in interface `GenctlPackage`
  Returns:
    the meta object for the attribute 'Helper Name'.
  See Also:
    `TemplateCondition.getHelperName()`, `GenctlPackage.getTemplateCondition()`

### getTemplate_TemplatePath

    public org.eclipse.emf.ecore.EAttribute getTemplate_TemplatePath()

  Specified by:
    `getTemplate_TemplatePath` in interface `GenctlPackage`
  Returns:
    the meta object for the attribute 'Template Path'.
  See Also:
    `Template.getTemplatePath()`, `GenctlPackage.getTemplate()`

### getTemplate_NameTemplatePath

    public org.eclipse.emf.ecore.EAttribute getTemplate_NameTemplatePath()

  Specified by:
    `getTemplate_NameTemplatePath` in interface `GenctlPackage`
  Returns:
    the meta object for the attribute 'Name Template Path'.
  See Also:
    `Template.getNameTemplatePath()`, `GenctlPackage.getTemplate()`

### getTemplate_Engine

    public org.eclipse.emf.ecore.EAttribute getTemplate_Engine()

  Specified by:
    `getTemplate_Engine` in interface `GenctlPackage`
  Returns:
    the meta object for the attribute 'Engine'.
  See Also:
    `Template.getEngine()`, `GenctlPackage.getTemplate()`

### getTemplate_Writer

    public org.eclipse.emf.ecore.EAttribute getTemplate_Writer()

  Specified by:
    `getTemplate_Writer` in interface `GenctlPackage`
  Returns:
    the meta object for the attribute 'Writer'.
  See Also:
    `Template.getWriter()`, `GenctlPackage.getTemplate()`

### getTemplate_MergeClassName

    public org.eclipse.emf.ecore.EAttribute getTemplate_MergeClassName()

  Specified by:
    `getTemplate_MergeClassName` in interface `GenctlPackage`
  Returns:
    the meta object for the attribute 'Merge Class Name'.
  See Also:
    `Template.getMergeClassName()`, `GenctlPackage.getTemplate()`

### getTemplate_Condition

    public org.eclipse.emf.ecore.EReference getTemplate_Condition()

  Specified by:
    `getTemplate_Condition` in interface `GenctlPackage`
  Returns:
    the meta object for the containment reference 'Condition'.
  See Also:
    `Template.getCondition()`, `GenctlPackage.getTemplate()`

### getTemplateHelper

    public org.eclipse.emf.ecore.EClass getTemplateHelper()

  Specified by:
    `getTemplateHelper` in interface `GenctlPackage`
  Returns:
    the meta object for class 'Template Helper'.
  See Also:
    `TemplateHelper`

### getTemplateHelper_Name

    public org.eclipse.emf.ecore.EAttribute getTemplateHelper_Name()

  Specified by:
    `getTemplateHelper_Name` in interface `GenctlPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `TemplateHelper.getName()`, `GenctlPackage.getTemplateHelper()`

### getTemplateHelper_HelperClassName

    public org.eclipse.emf.ecore.EAttribute getTemplateHelper_HelperClassName()

  Specified by:
    `getTemplateHelper_HelperClassName` in interface `GenctlPackage`
  Returns:
    the meta object for the attribute 'Helper Class Name'.
  See Also:
    `TemplateHelper.getHelperClassName()`, `GenctlPackage.getTemplateHelper()`

### getTemplateHelper_AppliesTo

    public org.eclipse.emf.ecore.EReference getTemplateHelper_AppliesTo()

  Specified by:
    `getTemplateHelper_AppliesTo` in interface `GenctlPackage`
  Returns:
    the meta object for the containment reference list 'Applies To'.
  See Also:
    `TemplateHelper.getAppliesTo()`, `GenctlPackage.getTemplateHelper()`

### getTemplatePackagePreferences

    public org.eclipse.emf.ecore.EClass getTemplatePackagePreferences()

  Specified by:
    `getTemplatePackagePreferences` in interface `GenctlPackage`
  Returns:
    the meta object for class 'Template Package Preferences'.
  See Also:
    `TemplatePackagePreferences`

### getTemplatePackagePreferences_PackageId

    public org.eclipse.emf.ecore.EAttribute getTemplatePackagePreferences_PackageId()

  Specified by:
    `getTemplatePackagePreferences_PackageId` in interface `GenctlPackage`
  Returns:
    the meta object for the attribute 'Package Id'.
  See Also:
    `TemplatePackagePreferences.getPackageId()`, `GenctlPackage.getTemplatePackagePreferences()`

### getTemplatePackagePreferences_Name

    public org.eclipse.emf.ecore.EAttribute getTemplatePackagePreferences_Name()

  Specified by:
    `getTemplatePackagePreferences_Name` in interface `GenctlPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `TemplatePackagePreferences.getName()`, `GenctlPackage.getTemplatePackagePreferences()`

### getTemplatePackagePreferences_Property

    public org.eclipse.emf.ecore.EReference getTemplatePackagePreferences_Property()

  Specified by:
    `getTemplatePackagePreferences_Property` in interface `GenctlPackage`
  Returns:
    the meta object for the containment reference list 'Property'.
  See Also:
    `TemplatePackagePreferences.getProperty()`, `GenctlPackage.getTemplatePackagePreferences()`

### getTemplateEngineType

    public org.eclipse.emf.ecore.EEnum getTemplateEngineType()

  Specified by:
    `getTemplateEngineType` in interface `GenctlPackage`
  Returns:
    the meta object for enum 'Template Engine Type'.
  See Also:
    `TemplateEngineType`

### getTemplateWriterType

    public org.eclipse.emf.ecore.EEnum getTemplateWriterType()

  Specified by:
    `getTemplateWriterType` in interface `GenctlPackage`
  Returns:
    the meta object for enum 'Template Writer Type'.
  See Also:
    `TemplateWriterType`

### getClassNameDT

    public org.eclipse.emf.ecore.EDataType getClassNameDT()

  Specified by:
    `getClassNameDT` in interface `GenctlPackage`
  Returns:
    the meta object for data type 'Class Name DT'.
  See Also:
    `String`

### getFileTypeDT

    public org.eclipse.emf.ecore.EDataType getFileTypeDT()

  Specified by:
    `getFileTypeDT` in interface `GenctlPackage`
  Returns:
    the meta object for data type 'File Type DT'.
  See Also:
    `String`

### getNameDT

    public org.eclipse.emf.ecore.EDataType getNameDT()

  Specified by:
    `getNameDT` in interface `GenctlPackage`
  Returns:
    the meta object for data type 'Name DT'.
  See Also:
    `String`

### getPathDT

    public org.eclipse.emf.ecore.EDataType getPathDT()

  Specified by:
    `getPathDT` in interface `GenctlPackage`
  Returns:
    the meta object for data type 'Path DT'.
  See Also:
    `String`

### getTemplateEngineTypeObject

    public org.eclipse.emf.ecore.EDataType getTemplateEngineTypeObject()

  Specified by:
    `getTemplateEngineTypeObject` in interface `GenctlPackage`
  Returns:
    the meta object for data type 'Template Engine Type Object'.
  See Also:
    `TemplateEngineType`

### getTemplateWriterTypeObject

    public org.eclipse.emf.ecore.EDataType getTemplateWriterTypeObject()

  Specified by:
    `getTemplateWriterTypeObject` in interface `GenctlPackage`
  Returns:
    the meta object for data type 'Template Writer Type Object'.
  See Also:
    `TemplateWriterType`

### getValueDT

    public org.eclipse.emf.ecore.EDataType getValueDT()

  Specified by:
    `getValueDT` in interface `GenctlPackage`
  Returns:
    the meta object for data type 'Value DT'.
  See Also:
    `String`

### getGenctlFactory

    public GenctlFactory getGenctlFactory()

  Specified by:
    `getGenctlFactory` in interface `GenctlPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

### createExtendedMetaDataAnnotations

    protected void createExtendedMetaDataAnnotations()

  Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD